local str = require('saotrace.suplib.strings' )

describe( "interpolate", function ()

  local vars = { _a = 1, _b = 2, cc = 3, ["3a"] = 4 }

  local tests = {
    ["$_a ${c }d"] = "1 ${c }d",
    ["$_a ${c d"]  = "1 ${c d",
    ["$_a ${cc}d"] = "1 3d",
    ["$xx ${cc}d"] = "$xx 3d",
    ["$3a ${cc}d"] = "$3a 3d",
  }


  for input, exp in pairs( tests ) do

    local interp = str.interp( input, vars )

    it( input, function ()
      assert.is.equal( exp, interp )
    end)

  end

  it( "nil var table", function ()

    local input = "$3a ${cc}d"
    local interp = str.interp( input, nil )

    assert.is.equal( input, interp )

  end)


end)
